@charset "utf-8";
/* CSS Document */
body {
	background: #17242dff;
	margin: 0;
	padding: 0;
	height: 100vh;
}

@font-face {
  font-family: CodeLight;
  src: url("systems/fonts/CODE Light.otf");
}
@font-face {
  font-family: CodeBold;
  src: url("systems/fonts/CODE Bold.otf");
}

.caption{
	display: block;
	text-align: center; 
	font-family: CodeBold;
	color: aliceblue;
	background-color: rgba(238,106,120,0.45);
}

#particles-js{ 
	z-index: -1;
	width: 100%; 
	height: 100%; 
	background-repeat: no-repeat; 
	background-size: 40%; 
	background-position: 50% 50%;
	overflow: hidden;
}
/* Navigation Bar */
.button-container {
	position: relative;
}
.nav-button {
	padding: 5px 5px;
	border: none;
	background-color: transparent;
	
}
.box {
  --b: 2px;   /* thickness of the border */
  --c: black;   /* color of the border */
  --w: 25%;  /* width of border */
  

  border: var(--b) solid #0000; /* space for the border */
  --_g: #0000 90deg,var(--c) 0;
  --_p: var(--w) var(--w) border-box no-repeat;
  background:
    conic-gradient(from 90deg  at top    var(--b) left  var(--b),var(--_g)) 0    0    / var(--_p),
    conic-gradient(from 180deg at top    var(--b) right var(--b),var(--_g)) 100% 0    / var(--_p),
    conic-gradient(from 0deg   at bottom var(--b) left  var(--b),var(--_g)) 0    100% / var(--_p),
    conic-gradient(from -90deg at bottom var(--b) right var(--b),var(--_g)) 100% 100% / var(--_p);
  
  box-sizing:border-box;
  margin:5px;
  font-size:30px;
  justify-content:center;
  align-items:center;
  text-align:center;
	transition: background 0.15s ease-in-out;
}
.box:hover {
	--w: 50%;
}